import jaggl.OpenGL;

public class Class141_Sub7 extends Class141 {

   static final char aChar9933 = '\u0001';
   Class149 aClass149_9934;
   boolean aBool9935 = false;
   static final char aChar9936 = '\u0000';


   void method2623() {
      if(this.aBool9935) {
         this.aClass149_9934.method2737('\u0001');
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14725((Class147)null);
         this.aClass545_Sub1_1628.method14641(0);
      } else {
         this.aClass545_Sub1_1628.method14630(0, 5890, 770);
      }

      this.aClass545_Sub1_1628.method14553(8448, 8448);
      this.aBool9935 = false;
   }

   boolean method2633() {
      return true;
   }

   void method2639(int var1, int var2) {}

   void method2636(boolean var1) {
      this.aClass545_Sub1_1628.method14553(8448, 7681);
   }

   void method2630() {
      if(this.aBool9935) {
         this.aClass149_9934.method2737('\u0001');
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14725((Class147)null);
         this.aClass545_Sub1_1628.method14641(0);
      } else {
         this.aClass545_Sub1_1628.method14630(0, 5890, 770);
      }

      this.aClass545_Sub1_1628.method14553(8448, 8448);
      this.aBool9935 = false;
   }

   boolean method2629() {
      return true;
   }

   void method2624(boolean var1) {
      this.aClass545_Sub1_1628.method14553(8448, 7681);
   }

   void method2628(Class147 var1, int var2) {
      this.aClass545_Sub1_1628.method14725(var1);
      this.aClass545_Sub1_1628.method14591(var2);
   }

   boolean method2626() {
      return true;
   }

   void method2637(boolean var1) {
      this.aClass545_Sub1_1628.method14553(8448, 7681);
   }

   void method2632() {
      if(this.aBool9935) {
         this.aClass149_9934.method2737('\u0001');
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14725((Class147)null);
         this.aClass545_Sub1_1628.method14641(0);
      } else {
         this.aClass545_Sub1_1628.method14630(0, 5890, 770);
      }

      this.aClass545_Sub1_1628.method14553(8448, 8448);
      this.aBool9935 = false;
   }

   void method2627(int var1, int var2) {}

   void method2634(int var1, int var2) {}

   Class141_Sub7(Class545_Sub1 var1) {
      super(var1);
      if(var1.aBool9274) {
         this.aClass149_9934 = new Class149(var1, 2);
         this.aClass149_9934.method2735(0);
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14553('\u8575', 7681);
         this.aClass545_Sub1_1628.method14679(2, '\u8578', 770);
         this.aClass545_Sub1_1628.method14630(0, '\u8577', 770);
         OpenGL.glTexGeni(8192, 9472, '\u8512');
         OpenGL.glTexGeni(8193, 9472, '\u8512');
         OpenGL.glTexGeni(8194, 9472, '\u8512');
         OpenGL.glEnable(3168);
         OpenGL.glEnable(3169);
         OpenGL.glEnable(3170);
         this.aClass545_Sub1_1628.method14641(0);
         this.aClass149_9934.method2736();
         this.aClass149_9934.method2735(1);
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14553(8448, 8448);
         this.aClass545_Sub1_1628.method14679(2, '\u8576', 770);
         this.aClass545_Sub1_1628.method14630(0, 5890, 770);
         OpenGL.glDisable(3168);
         OpenGL.glDisable(3169);
         OpenGL.glDisable(3170);
         OpenGL.glMatrixMode(5890);
         OpenGL.glLoadIdentity();
         OpenGL.glMatrixMode(5888);
         this.aClass545_Sub1_1628.method14641(0);
         this.aClass149_9934.method2736();
      }

   }

   void method2635(Class147 var1, int var2) {
      this.aClass545_Sub1_1628.method14725(var1);
      this.aClass545_Sub1_1628.method14591(var2);
   }

   void method2625(boolean var1) {
      Class147_Sub1 var2 = this.aClass545_Sub1_1628.method14579();
      if(this.aClass149_9934 != null && var2 != null && var1) {
         this.aClass149_9934.method2737('\u0000');
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14725(var2);
         OpenGL.glMatrixMode(5890);
         OpenGL.glLoadMatrixf(this.aClass545_Sub1_1628.aClass317_9286.method5637(this.aClass545_Sub1_1628.aFloatArray9202), 0);
         OpenGL.glScalef(-1.0F, -1.0F, -1.0F);
         OpenGL.glMatrixMode(5888);
         this.aClass545_Sub1_1628.method14641(0);
         this.aBool9935 = true;
      } else {
         this.aClass545_Sub1_1628.method14630(0, '\u8578', 770);
      }

   }

   void method2638(boolean var1) {
      this.aClass545_Sub1_1628.method14553(8448, 7681);
   }

   void method2631(boolean var1) {
      Class147_Sub1 var2 = this.aClass545_Sub1_1628.method14579();
      if(this.aClass149_9934 != null && var2 != null && var1) {
         this.aClass149_9934.method2737('\u0000');
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14725(var2);
         OpenGL.glMatrixMode(5890);
         OpenGL.glLoadMatrixf(this.aClass545_Sub1_1628.aClass317_9286.method5637(this.aClass545_Sub1_1628.aFloatArray9202), 0);
         OpenGL.glScalef(-1.0F, -1.0F, -1.0F);
         OpenGL.glMatrixMode(5888);
         this.aClass545_Sub1_1628.method14641(0);
         this.aBool9935 = true;
      } else {
         this.aClass545_Sub1_1628.method14630(0, '\u8578', 770);
      }

   }
}
